Ubuntu

rebuild with new debhelper to get trigger support

Reported by Rolf Leggewie on 2009-10-12
64
This bug affects 11 people
Affects Status Importance Assigned to Milestone
emacs23 (Ubuntu)
Medium
Reinhard Tartler
Lucid
Undecided
Reinhard Tartler
mjpegtools (Ubuntu)
Undecided
Unassigned
Lucid
Low
Unassigned
util-linux (Ubuntu)
Undecided
Unassigned
Lucid
Undecided
Unassigned

Bug Description

The postinst script of the 'emacs23-common' package has explicit calls to 'install-info'. Since lucid, this provokes confusing warning messages, because info files are now supposed to be registered via triggers.

Test Case:
# apt-get install --reinstall emacs23-common

Result:
>> LANG=C sudo apt-get install --reinstall emacs23-common
[...]
Setting up emacs23-common (23.1+1-4ubuntu7) ...
Ignoring install-info called from maintainer script
The package emacs23-common should be rebuilt with new debhelper to get trigger support
Ignoring install-info called from maintainer script
The package emacs23-common should be rebuilt with new debhelper to get trigger support
Ignoring install-info called from maintainer script
The package emacs23-common should be rebuilt with new debhelper to get trigger support
Ignoring install-info called from maintainer script
The package emacs23-common should be rebuilt with new debhelper to get trigger support
Ignoring install-info called from maintainer script

Expected Result:
Same output with the repeated and confusing message shown above.

Original Report:
Binary package hint: emacs23

a couple of packages seem to be in need of some debhelper maintenance. Example from an aptitude upgrade run:

[...]
The package emacs23-common should be rebuild with new debhelper to get trigger support
Ignoring install-info called from maintainer script
[...]

Rolf Leggewie (r0lf) on 2009-10-12
Changed in util-linux (Ubuntu):
status: New → Confirmed
Duane Hinnen (duanedesign) wrote :

I can confirm this. While running updates this morning for Karmic I noticed this odd error i the Terminal.
apt-get update && apt-get upgrade

Setting up emacs23-common (23.1+1-4ubuntu2) ...
Ignoring install-info called from maintainer script
The package emacs23-common should be rebuild with new debhelper to get trigger support
Ignoring install-info called from maintainer script
The package emacs23-common should be rebuild with new debhelper to get trigger support
Ignoring install-info called from maintainer script
The package emacs23-common should be rebuild with new debhelper to get trigger support

Ignoring install-info called from maintainer script
The package emacs23-common should be rebuild with new debhelper to get trigger support

Setting up emacs23-bin-common (23.1+1-4ubuntu2) ...

Setting up emacs23 (23.1+1-4ubuntu2) ...
emacs-install emacs23
install/dictionaries-common: Byte-compiling for emacsen flavour emacs23
Wrote /usr/share/emacs23/site-lisp/dictionaries-common/debian-ispell.elc
Wrote /usr/share/emacs23/site-lisp/dictionaries-common/ispell.elc
Wrote /usr/share/emacs23/site-lisp/dictionaries-common/flyspell.elc
emacsen-common: Handling install of emacsen flavor emacs23
emacsen-common: byte-compiling for emacs23
Wrote /etc/emacs23/site-start.d/00debian-vars.elc

In debian-run-directories:
debian-startup.el:131:25:Warning: `mapcar' called for effect; use `mapc' or
    `dolist' instead
Wrote /usr/share/emacs23/site-lisp/debian-startup.elc
install/gtk-doc-tools: Handling install for emacsen flavor emacs23
Loading 00debian-vars...
No /etc/mailname. Reverting to default...
Loading /etc/emacs/site-start.d/50autoconf.el (source)...
Loading /etc/emacs/site-start.d/50dictionaries-common.el (source)...
Loading debian-ispell...
Loading /var/cache/dictionaries-common/emacsen-ispell-default.el (source)...
Loading /var/cache/dictionaries-common/emacsen-ispell-dicts.el (source)...
Loading /etc/emacs/site-start.d/50git-core.el (source)...
Loading /etc/emacs/site-start.d/50gtk-doc-tools.el (source)...
Wrote /usr/share/emacs23/site-lisp/gtk-doc-tools/gtk-doc.elc

Changed in emacs23 (Ubuntu):
status: New → Confirmed

util-linux has been rebuilt with the new debhelper several times, and this warning has not gone away

Mark A. Hershberger (hexmode) wrote :

The problem is that you are including calls to install-info in the postinst/prerm scripts. Examine the source of /usr/bin/install-info and read deb-triggers manpage.

Rafal Zawadzki (bluszcz) wrote :

So, what is the quickest way to resolve this issue temporary?

GaryW (gnubyexample) wrote :

Just to illustrate what is in the current postinst script.

root@amd754n:/var/lib/dpkg/info# grep -B5 -A5 install-info emacs23-common.postinst

CRUFT_INFOFILES="ccmode emacs widget"

# We have to clean these up because the old package didn't. The info
# files were being removed in the postinst, not the prerm, and so
# install-info wasn't doing anything because the files weren't there..
for file in ${CRUFT_INFOFILES}
do
  install-info --quiet --remove-exactly ${file} || true
done

for file in ${INFO_FILES}
do
  install-info --quiet --section Emacs Emacs \
    /usr/share/info/${INFO_SUBDIR}/${file}.gz || true
done

Perhaps there is no point in having calls to install-info in that script emacs23-common.postinst as they are being ignored anyway, and are just generating the warnings. Could just edit them out?

Further question is how to perform the same operation as "install-info --quiet --section Emacs Emacs \
    /usr/share/info/${INFO_SUBDIR}/${file}.gz || true"
...but by using triggers.

I'm guessing from a quick browse of the dpkg-triggers-how article below, that files like
DEBIAN/triggers need adding into a package somewhere.

Article Link: http://www.seanius.net/blog/2009/09/dpkg-triggers-howto/

I confess to lots of guesswork in my comment here (please don't flame me) and
genuinely thank the package maintainers for making my favourite editor (emacs)
available in the latest release \o/

Tom Pino (metalsmith-rangeweb) wrote :

I have this problem with "util-linux" with Ubuntu 10.04-testing.

Fixed in 2.17.2 after merging with Debian

Changed in util-linux (Ubuntu):
status: Confirmed → Fix Released
Phillip Susi (psusi) wrote :

Still getting a bunch of errors about this when upgrading to lucid.

Changed in emacs23 (Ubuntu):
importance: Undecided → Medium
Changed in emacs23 (Ubuntu):
assignee: nobody → Reinhard Tartler (siretart)
Launchpad Janitor (janitor) wrote :
Download full text (6.7 KiB)

This bug was fixed in the package emacs23 - 23.2+1-4ubuntu1

---------------
emacs23 (23.2+1-4ubuntu1) natty; urgency=low

  [ Michael W. Olson (GNU address) ]
  * Resync with Debian. Remaining changes:
  * debian/control.in:
    - Change Maintainer to Ubuntu Core Developers, per Ubuntu policy.
    - Conflict and Replace emacs23-common-non-dfsg, since we provide
      all of its features.
    - Do not suggest emacs23-common-non-dfsg.
    - Replace use of Source-Version with source:Version.
    - Require autotools-dev (>= 20100122.1) in Build-Depends, since
      the version in Karmic will fail due to a missing Perl module.
  * debian/control: Regenerate.
  * debian/copyright.in:
    - Remove text about removed files.
  * debian/copyright: Regenerate.
  * debian/emacsVER-common.postinst:
    - Don't install info files to info/dir. This happens
      automatically now.
  * debian/emacsVER-common.prerm:
    - Don't remove info files from info/dir. This happens
      automatically now.
  * debian/patches:
    - handle-dfsg-split.diff: Remove.
    - ubuntu-restore-nondfsg-files.diff: New patch that reintroduces
      the non-DFSG files, with the exception of .elc files and info
      files, which use special characters and thus can't be easily
      represented in patch form. These will be regenerated at build
      time.
  * debian/rules:
    - Do not install replacements for non-DFSG files.
    - Install all info files, not just efaq.
    - Avoid uselessly building info files a 2nd time.

  [ Reinhard Tartler ]
  * Reintegrate ubuntu history in debian/changelog
  * verified that debian/patches/fix-movemail-race.diff can be dropped,
    it is integrated in the new upstream version.
  * Rebuild against new debhelper to get trigger support: LP: #449729
  * New upstream version (LP: #588203) solves:
    - huge font sizes. LP: #445402
    - scroll bar in emacs highlights/selects text, LP: #581486
    - org and tbl menus are no longer missing in org-mode, LP: #640504
  * Add patch fix-ftbfs-xft-fontconfig.diff to avoid FTBFS.

emacs23 (23.2+1-4) unstable; urgency=low

  * Disable parallel builds (via DEB_BUILD_OPTIONS=parallel) until an
    upstream race condition is fixed. Thanks to Sven Joachim
    <email address hidden> for the report. (closes: #592992)

emacs23 (23.2+1-3) unstable; urgency=low

  * Don't try to "mkdir $(infodir)" in doc/*/Makefile.in. Thanks to
    Stéphane Glondu <email address hidden> for the 23.2+1-2.1 NMU.

  * Use -O1 rather than -O2 on ia64. Fixes a build failure (looks
    like a broken byte compiler) with newer versions of gcc
    (c.f. #207580). Thanks to Sven Joachim <email address hidden> for the
    report and thanks to Stéphane Glondu <email address hidden> for the
    23.2+1-2.1 NMU. (closes: #582439)

  * Remove deprecated Encoding field from emacsVER.desktop. Thanks to
    Stéphane Glondu <email address hidden> for the 23.2+1-2.1
    NMU.

  * Use "set -e" rather than "/bin/sh -e" in emacsVER-common.postinst
    and emacsVER-bin-common.postinst. Thanks to Stéphane Glondu
    <email address hidden> for the 23.2+1-2.1 NMU.

  * Add a Homepage field to debian/control.in. Thanks to Stéphane
    Glondu <email address hidden> for the ...

Read more...

Changed in emacs23 (Ubuntu):
status: Confirmed → Fix Released
BobSongs (bobspcrepair) wrote :

Setting up mjpegtools (1:1.9.0-0.5ubuntu3) ...
Ignoring install-info called from maintainer script
The package mjpegtools should be rebuilt with new debhelper to get trigger support

BobSongs (bobspcrepair) wrote :

System: Maverick Meerkat, 10.10

Reinhard Tartler (siretart) wrote :

Seems that a simple rebuild is not enough to fix this, additional small changes to emacsVER-common.postinst and emacsVER-common.preinst are necessary

Changed in emacs23 (Ubuntu Lucid):
assignee: nobody → Reinhard Tartler (siretart)

Accepted emacs23 into lucid-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in emacs23 (Ubuntu Lucid):
status: New → Fix Committed
tags: added: verification-needed
Rolf Leggewie (r0lf) wrote :

I tried to verify this but the current package does not exhibit the described behavior for me. "sudo aptitude reinstal emacs23 works fine" without any of the warnings.

On Wed, Nov 24, 2010 at 19:04:42 (CET), Rolf Leggewie wrote:

> I tried to verify this but the current package does not exhibit the
> described behavior for me. "sudo aptitude reinstal emacs23 works fine"
> without any of the warnings.

The change touched only the package 'emacs23-common'. Please retry with
that package instead of the more or less empty package 'emacs23'.

--
Gruesse/greetings,
Reinhard Tartler, KeyID 945348A4

description: updated
Rolf Leggewie (r0lf) wrote :

verified the problem in the lucid package and the fix in lucid-proposed. Please release.

tags: added: verification-done
removed: verification-needed
Reinhard Tartler (siretart) wrote :

please note that #445402 is fixed in the same upload. I have verified on
my laptop that both bugs are fixed, but AFAIU the process, this needs to
be verified by someone else.

archive admins, please also copy the binaries to
maverick-proposed/maverick-updates.

--
Gruesse/greetings,
Reinhard Tartler, KeyID 945348A4

Rolf Leggewie (r0lf) wrote :

confirmed problem and fix and made comment in bug 445402 (although I would not quite call the font size huge)

Accepted emacs23 into maverick-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

tags: removed: verification-done
tags: added: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package mjpegtools - 1:1.9.0-0.5ubuntu4

---------------
mjpegtools (1:1.9.0-0.5ubuntu4) natty; urgency=low

  * Remove mjpegtools maintainers scripts that only call
    install-info. This is nowadays unnecessary, thanks to dpkg triggers.
    Fixes LP: #449729
 -- Reinhard Tartler <email address hidden> Mon, 29 Nov 2010 16:19:32 +0100

Changed in mjpegtools (Ubuntu):
status: New → Fix Released
Reinhard Tartler (siretart) wrote :

can be indeed observed in lucid, but IMO not important enough for an SRU alone. task still left open in case some more important SRU appears, then please close this task as well!

Changed in mjpegtools (Ubuntu Lucid):
importance: Undecided → Low
status: New → Triaged
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package emacs23 - 23.1+1-4ubuntu7.1

---------------
emacs23 (23.1+1-4ubuntu7.1) lucid-proposed; urgency=low

  * Read DPI from Xft and XSETTINGS to avoid displaying huge fonts.
    Patch backported from upstream by Redhat. LP: #445402
  * Don't install and remove info files into info/dir. This happens
    automatically now. Avoids confusing warning messages in packages
    that install elisp code and info files. Patch backported from
    natty. Fixes LP: #449729
 -- Reinhard Tartler <email address hidden> Fri, 19 Nov 2010 15:47:13 +0100

Changed in emacs23 (Ubuntu Lucid):
status: Fix Committed → Fix Released
Fabri Velas (fabrivelas) wrote :

apt-get install --reinstall emacs23-common with marverick-proposed does not generate any confusing messages, no regressions observed.

Martin Pitt (pitti) on 2011-02-08
tags: added: verification-done
removed: verification-needed
Candy Chiu (candy-chiu-ad) wrote :

sudo dpkg -i emacsen-common_1.4.19ubuntu1_all.deb

gave

Ignoring install-info called from maintainer script
The package emacsen-common should be rebuild with new debhelper to get trigger support

I am new to Linux. Would anyone fix this issue? Thanks.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers